package com.jeesharp.business.modules.pay.constant;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Author: wangmeng
 * @CreateTime: 2023-05-17  15:38
 * @Description: 支付报文校验及对应
 */
@Target({ElementType.METHOD, ElementType.FIELD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface PayMessage {
    String name();

    String value();

    String description() default "";

    int maxLength() default 0;

    String must() default "O";

    boolean isMax() default false;

    Class<?> fieldType() default Class.class;

}
